FROM base-ubuntu

#RUN apt-get update -y
#RUN apt-get upgrade -y
#RUN apt-get install xinetd -y

RUN addgroup --system remote01
RUN adduser --system --home /home/remote01 --ingroup remote01 --shell /bin/bash  remote01

COPY file/binary-remote01        /home/remote01/remote01
COPY file/success.txt            /home/remote01/
COPY file/fail.txt               /home/remote01/
COPY file/flag.txt               /home/remote01/
COPY file/xinetd-remote01        /etc/xinetd.d/remote01
COPY file/entrypoint.sh          /entrypoint.sh

RUN chmod 644  /etc/xinetd.d/remote01     &&    chown root.root /etc/xinetd.d/remote01 

RUN chmod 555  /home/remote01             &&    chown remote01.root /home/remote01 
RUN chmod 444  /home/remote01/success.txt &&    chown remote01.root /home/remote01/success.txt
RUN chmod 444  /home/remote01/fail.txt    &&    chown remote01.root /home/remote01/fail.txt
RUN chmod 444  /home/remote01/flag.txt    &&    chown remote01.root /home/remote01/flag.txt
RUN chmod 555  /home/remote01/remote01    &&    chown remote01.root /home/remote01/remote01
RUN chmod 755  /entrypoint.sh             &&    chown root.root /entrypoint.sh

ENTRYPOINT  ["/entrypoint.sh","tail","-f","/dev/null"]
#ENTRYPOINT  /entrypoint.sh
#CMD ["/bin/bash"]
